Bug 1035304 - Error when starting a container: cannot unmarshal bool into Go value of type string
Summary: Error when starting a container: cannot unmarshal bool into Go value of type ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: docker-io
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-27 14:04 UTC by Marek Goldmann
Modified: 2014-07-01 22:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-28 18:19:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Marek Goldmann 2013-11-27 14:04:22 UTC
Description of problem:

accept4(7, 0xc2001be540, [112], SOCK_CLOEXEC|SOCK_NONBLOCK) = -1 EAGAIN (Resource temporarily unavailable)
read(9, "POST /v1.7/containers/create HTT"..., 4096) = 550
clock_gettime(CLOCK_REALTIME, {1385557957, 704016349}) = 0
clock_gettime(CLOCK_REALTIME, {1385557957, 704076878}) = 0
clock_gettime(CLOCK_REALTIME, {1385557957, 704218620}) = 0
write(2, "[debug] api.go:1008 Calling POST"..., 52[debug] api.go:1008 Calling POST /containers/create
) = 52
futex(0xd0bef8, FUTEX_WAIT, 0, NULL2013/11/27 14:12:37 POST /v1.7/containers/create
[/var/lib/docker|237066b1] +job create()
[/var/lib/docker|237066b1] -job create() = ERR (ExportEnv json: cannot unmarshal bool into Go value of type string)
[error] api.go:1034 Error: create: ExportEnv json: cannot unmarshal bool into Go value of type string
[error] api.go:82 HTTP Error: statusCode=500 create: ExportEnv json: cannot unmarshal bool into Go value of type string
[debug] api.go:1008 Calling GET /images/json
2013/11/27 14:28:41 GET /v1.7/images/json

This issue exists when running docker-io-0.7.0-2.el6.x86_64 (unreleased) as daemon with following flag: -b none. 

[root@centos64 ~]# docker -v
Docker version 0.7.0, build 0d078b6/0.7.0

Comment 1 Lokesh Mandvekar 2014-01-21 16:13:29 UTC
This doesn't seem to occur on 0.7.6. Could you please confirm this?


Note You need to log in before you can comment on or make changes to this bug.